import Vue from 'vue';
import IMarkedText from './IMarkedText';
export default class MarkedText extends Vue implements IMarkedText {
    private sourceText;
    private marks;
    private controller;
    private onSourceTextChanged;
    private onControllerChanged;
    private spanDepot;
    private spanBatches;
    resetSpans(): void;
    resetSelection(): void;
    setSelection(begChar: number, endChar: number): void;
    getSelection(): [number, number] | null;
    metaStringEncloseSections(begSections: number[], endSections: number[]): void;
    metaStringDivideBatches(): void;
    removeMetaStrings(): void;
    beforeMount(): void;
    beforeDestroy(): void;
}
