import IMark from './IMark';
import IController from './IController';
declare class SpanData {
    charRange: [number, number];
    key: string;
    cls: string;
    onCbk: (spanData: SpanData) => any;
    text: string;
    constructor(charRange: [number, number], key: string, cls: string, onCbk: (spanData: SpanData) => any, text: string);
    clone(): SpanData;
    get on(): any;
}
declare function TextSpanData(charRange: [number, number], spanText: string, controller: IController): SpanData;
declare function MarkSpanData(charRange: [number, number], spanText: string, controller: IController, marks: IMark[]): SpanData;
declare function SelectionSpanData(charRange: [number, number], spanText: string, controller: IController): SpanData;
declare function MetaStringSpanData(charRange: [number, number], spanText: string, controller: IController): SpanData;
export { SpanData as default, TextSpanData, MarkSpanData, SelectionSpanData, MetaStringSpanData };
