import { MalleableBatchArray } from 'etali';
import IController from './IController';
import IMark from './IMark';
import SpanData from './SpanData';
export default class {
    private sourceText;
    private mtController;
    private selectionCharRange;
    private metaStrings;
    private selectionExpandedRange;
    spanBatches: MalleableBatchArray<SpanData>;
    constructor(sourceText: string, marks: Iterable<IMark>, mtController: IController, batchSize?: number);
    get selection(): [number, number] | null;
    set selection(newSelection: [number, number] | null);
    setMetaStrings(metaStrings: [string, number][]): void;
    private padSpans;
    private insertSelection;
    private replaceWithSpan;
    private clearSelectionRange;
    private spansFromCharRange;
    private resetBtwnChars;
}
